Support inline template adaptation
Closed, ResolvedPublic

Description

As part of the template translation improvements (T139332), this ticket explores how to provide support the translation of inline templates such as unit conversion. Unlike block templates (T143121), inline templates appear inside the flow of text.

Supporting inline templates requires to find a way to select and edit them in the context of a translation (allowing to compare source and translated content in a fluent experience).

A prototype allows you to try the main concept also captured below:

Proposed solution

The proposal is aligned with the way block templates are adapted (T143121). The main differences are that:

  • Inline templates are highlighted in grey on hover and in blue (like links) when selected.
  • The template editing mode does not replace the template but creates a space below it to edit the information.
  • As part of the adaptation options it makes sense to provide an option to turn the template into text in order to support cases when the content can be reused but the user does not know how the specific template works.

Pginer-WMF edited the task description. (Show Details)Aug 26 2016, 3:10 PM
Pginer-WMF edited the task description. (Show Details)Aug 26 2016, 3:25 PM
santhosh edited the task description. (Show Details)Aug 30 2016, 4:57 AM
Arrbee changed the title from "Designs for inline template adaptation" to "Support inline template adaptation".Aug 30 2016, 7:09 AM
Amire80 removed Pginer-WMF as the assignee of this task.Sep 13 2016, 7:11 AM

Change 311396 had a related patch set uploaded (by Santhosh):
WIP: Inline template editor

https://gerrit.wikimedia.org/r/311396

Change 311396 abandoned by Santhosh:
WIP: Inline template editor

https://gerrit.wikimedia.org/r/311396

Change 308559 had a related patch set uploaded (by Santhosh):
Block and inline template editor

https://gerrit.wikimedia.org/r/308559

Pginer-WMF edited the task description. (Show Details)Oct 13 2016, 10:53 AM

Based on some observations during research sessions, I also proposed to provide an option to keep the template as text. We may want to encourage the use of templates by default but for some users that are not confident editing templates it may be useful to have an option to reuse the content. this can be supported as the user deletes the in-line template (e.g., using backspace) or with a more explicit option in the adaptation menu.

We can discuss this further as we observe users making use of the tool in more realistic scenarios, but wanted to capture the idea for later.

Change 308559 merged by jenkins-bot:
Templates: Editing support and adaptation controls

https://gerrit.wikimedia.org/r/308559

Arrbee closed this task as "Resolved".Dec 21 2016, 7:30 AM